from setuptools import setup

setup(
    name='nanga',
    version='1.1.0rc1',
    author='Opscidia',
    author_email='frejus.laleye@opscidia.om',
    description='A package for performing NLP tasks',
    long_description='A package for performing various natural language processing tasks.',
    url='https://github.com/opscidia/nanga',
    install_requires=[
        'torch==2.0.1',
        'torchtext==0.15.2',
        'spacy==3.4.4',
        'numpy==1.25.2',
        'scikit-learn==1.1.1',
        'scikit-contrib-lightning==0.6.2',
        'pandas==2.1.0',
        'fasttext==0.9.2',
        'pycld2==0.41',
        'pydantic==1.10.12',
        'text_unidecode==1.3',
        'lightning==2.0.8',
    ],
    packages=['nanga',
              'nanga.sarcat',
              'nanga.pipelines',
              'nanga.sarcat.models',
              'nanga.sarcat.models.legacy',
              'nanga.sarcat.models.s2fos',
              'nanga.sarcat.predictions',
              ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
)